List All Campaigns

You can download the list of all campaigns along with their associated attributes in the advertiser accounts using this POST operation

📘

URL: POST /api/v1/campaigns/list

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdID of advertiserintegerYAdvertiser ID for which the campaign needs to be updated for delivery status
Filter[campaignId]

ID of the campaigns you wish to list details for.

Note: if no campaignId is specified, all campaigns in the advertiser account will be returned

array<integer>NUnique numeric identifier. Maximum list size is 25 entries.
Filter[name]

Filter based on the list of specified campaign names.

If no campaign names are specified, all campaigns in the advertiser account will be returned

array<string>NValid campaign name
Filter[status]Filter based on the campaign statusstringNEnum values:
  • draft
  • live
  • scheduled
  • paused
  • completed
  • archived
Filter[lastModifiedDate]Filter list of campaigns created or modified on or after this datestringN

Date should be in format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX

Note: date values are converted internally to EST timezone

startIndex

Defines at which point in the list to return campaigns.

Example:
To return the first ten Campaigns in the list, set: startIndex = 0
count = 10

integerNUse startIndex and count to return various selections of the list.
The default value is 0.
count

Defines the total number of campaigns to be returned.

Example:
To return the first ten Campaigns in the list, set:
count = 10
startIndex = 0

integerN

Use count and startIndex to return various selections of the list.

Note: defaultCount=100, maxCount = 100, minCount = 1

Sample Request

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/campaigns/list' \
--header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: *************' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 1, "Filter[campaignId]": [1], "Filter[name]": ["campaign1"], "Filter[status]": "draft", "Filter[lastModifiedDate]": "2026-11-03T01:16:39.760-05:00", "startIndex": 0, "count": 10 }'

Response

ElementDescriptionType
totalResultsNumber of campaigns returned by the API that match the request criteriainteger
response

Attributes of the campaigns returned by the API. The following attributes are listed:
• campaignId

• campaignExtId

• name

• description

• objective
Enum values: AWARENESS, ENGAGEMENT, CONVERSION, DEFAULT
Note: Older campaigns created before the objective feature was introduced, will
show "DEFAULT" as their objective

• Status
Enum values: DRAFT, LIVE, SCHEDULED, PAUSED, COMPLETED

• startDate
ISO 8601 timezone format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX

• endDate
ISO 8601 timezone format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX
Note: for campaigns that are set to run indefinitely, the endDate will return "9999-
12-31T00:00:00-05:00"

• budgetType
Enum values: DAILY, TOTAL

• deliverySpeed
Enum values: FRONTLOADED, EVENLY

• dailyBudget

• totalBudget

• campaignType
Enum values: only 'NGD' value is supported
NGD: Onsite Display Auction. Applicable for demand channelsSS,MS

• mediaType
Specifies the campaign's creative format. Optional. Possible values: BANNER, VIDEO

• creationDate
ISO 8601 timezone format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX

• lastUpdatedDate
ISO 8601 timezone format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX

• attributesSetOnAdGroupLevel: It indicates whether the budget, schedule, and delivery
speed are configured at the Ad Group level. It returns true if the values are set at Ad
group level and false if at campaign level
Data type: Boolean
Possible values: true, false

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codeCode=failure
Click here for more information about Status Codes and Errors
Nstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.NarrayRefer to this link for detailed error messages
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors array object details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error (for example, startDate). Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response Success

{ "totalResults": 2, "response": [ { "campaignId": 1, "campaignExtId": 1, "name": "campaign1", "description": "campaign1", "objective": "AWARENESS", "status": "DRAFT", "startDate": "2026-11-10T08:00:00.000-05:00", "endDate": "2026-12-31T12:00:00.000-05:00", "budgetType": "DAILY", "deliverySpeed": "FRONTLOADED", "dailyBudget": 10.0, "campaignType": "NGD", "creationDate": "2026-11-03T01:16:39.760-05:00", "lastUpdatedDate": "2026-11-03T01:16:39.760-05:00", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" }, { "campaignId": 2, "campaignExtId": 2, "name": "campaign2", "description": "campaign2", "objective": "AWARENESS", "status": "DRAFT", "startDate": "2026-11-10T08:00:00.000-05:00", "endDate": "2026-12-30T12:00:00.000-05:00", "budgetType": "TOTAL", "deliverySpeed": "FRONTLOADED", "totalBudget": 10.0, "campaignType": "NGD", "creationDate": "2026-11-03T01:15:17.367-05:00", "lastUpdatedDate": "2026-11-03T01:15:17.367-05:00", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" } ]
}

Sample Response Failure

[ { "code": "failure", "details": ["string"],    "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ] }
]

Did this page help you?